Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Class ERuntimeSource

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.jst.jsf.context.symbol.internal.provisional.ERuntimeSource

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

public final class ERuntimeSource
extends org.eclipse.emf.common.util.AbstractEnumerator

Enumerates the possible sources of an instance symbol at runtime. In the default implementation these can be: from the built-in variables, from the managed bean facility, and those defined in tags. This information is provided to allow the VariableResolver to resolve conflicts when instance symbols come from more than one source.

See Also:
  `SymbolPackage.getERuntimeSource()`

Field Summary
`static int` | `BUILT_IN_SYMBOL` The 'BUILT IN SYMBOL' literal value.
`static ERuntimeSource` | `BUILT_IN_SYMBOL_LITERAL` The 'BUILT IN SYMBOL' literal object.
`static java.lang.String` | `copyright`
`static int` | `MANAGED_BEAN_SYMBOL` The 'MANAGED BEAN SYMBOL' literal value.
`static ERuntimeSource` | `MANAGED_BEAN_SYMBOL_LITERAL` The 'MANAGED BEAN SYMBOL' literal object.
`static int` | `OTHER` The 'OTHER' literal value.
`static ERuntimeSource` | `OTHER_LITERAL` The 'OTHER' literal object.
`static int` | `TAG_INSTANTIATED_SYMBOL` The 'TAG INSTANTIATED SYMBOL' literal value.
`static ERuntimeSource` | `TAG_INSTANTIATED_SYMBOL_LITERAL` The 'TAG INSTANTIATED SYMBOL' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'ERuntime Source' enumerators.

Method Summary
`static ERuntimeSource` | `get(int value)` Returns the 'ERuntime Source' literal with the specified integer value.
`static ERuntimeSource` | `get(java.lang.String literal)` Returns the 'ERuntime Source' literal with the specified literal value.
`static ERuntimeSource` | `getByName(java.lang.String name)` Returns the 'ERuntime Source' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### BUILT_IN_SYMBOL

    public static final int BUILT_IN_SYMBOL

  The 'BUILT IN SYMBOL' literal value.

  If the meaning of 'BUILT IN SYMBOL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BUILT_IN_SYMBOL_LITERAL`, Constant Field Values

### MANAGED_BEAN_SYMBOL

    public static final int MANAGED_BEAN_SYMBOL

  The 'MANAGED BEAN SYMBOL' literal value.

  If the meaning of 'MANAGED BEAN SYMBOL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MANAGED_BEAN_SYMBOL_LITERAL`, Constant Field Values

### TAG_INSTANTIATED_SYMBOL

    public static final int TAG_INSTANTIATED_SYMBOL

  The 'TAG INSTANTIATED SYMBOL' literal value.

  If the meaning of 'TAG INSTANTIATED SYMBOL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TAG_INSTANTIATED_SYMBOL_LITERAL`, Constant Field Values

### OTHER

    public static final int OTHER

  The 'OTHER' literal value.

  If the meaning of 'OTHER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OTHER_LITERAL`, Constant Field Values

### BUILT_IN_SYMBOL_LITERAL

    public static final ERuntimeSource BUILT_IN_SYMBOL_LITERAL

  The 'BUILT IN SYMBOL' literal object.

  See Also:
    `BUILT_IN_SYMBOL`

### MANAGED_BEAN_SYMBOL_LITERAL

    public static final ERuntimeSource MANAGED_BEAN_SYMBOL_LITERAL

  The 'MANAGED BEAN SYMBOL' literal object.

  See Also:
    `MANAGED_BEAN_SYMBOL`

### TAG_INSTANTIATED_SYMBOL_LITERAL

    public static final ERuntimeSource TAG_INSTANTIATED_SYMBOL_LITERAL

  The 'TAG INSTANTIATED SYMBOL' literal object.

  See Also:
    `TAG_INSTANTIATED_SYMBOL`

### OTHER_LITERAL

    public static final ERuntimeSource OTHER_LITERAL

  The 'OTHER' literal object.

  See Also:
    `OTHER`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'ERuntime Source' enumerators.

Method Detail

### get

    public static ERuntimeSource get(java.lang.String literal)

  Returns the 'ERuntime Source' literal with the specified literal value.

  Parameters:
    `literal` -
  Returns:
    the enumeration for a string literal representation

### getByName

    public static ERuntimeSource getByName(java.lang.String name)

  Returns the 'ERuntime Source' literal with the specified name.

  Parameters:
    `name` -
  Returns:
    the enumeration for the name of the literal value

### get

    public static ERuntimeSource get(int value)

  Returns the 'ERuntime Source' literal with the specified integer value.

  Parameters:
    `value` -
  Returns:
    the enumeration for it's integral value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD